Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface Tool

    @Incubating
    public interface Tool

Configuration of the arguments of a ToolChain executable.

Method Summary
`void` | `args(String... args)` Adds a number of arguments to be passed to the tool.
`List` | `getArgs()` The arguments passed when executing this tool.

Method Detail

### args

    public void args(String... args)

  Adds a number of arguments to be passed to the tool.

### getArgs

    public List getArgs()

  The arguments passed when executing this tool.

Gradle API 1.10